/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.cache.oscache.internal;

import org.xwiki.component.annotation.Component;

/**
 * Implements {@link CacheFactory} based on OSCache.
 * 
 * @version $Id: 0b7ffec9994e9c33ef23a1c1146f00522e6a2599 $
 */
@Component("oscache/local")
public class LocalOSCacheCacheFactory extends AbstractOSCacheCacheFactory
{
    /**
     * {@inheritDoc}
     * 
     * @see AbstractOSCacheCacheFactory#getDefaultPropsId()
     */
    @Override
    protected String getDefaultPropsId()
    {
        return "default-local";
    }
}
