/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.chart.internal.plot;

import java.util.Map;

import org.jfree.chart.renderer.xy.XYAreaRenderer;
import org.jfree.chart.renderer.xy.XYItemRenderer;

/**
 * A {@link PlotGenerator} for generating area charts.
 *
 * @version $Id: 0b6ae17166401e788aaa3b3afa6a7c0c54fae4d9 $
 * @since 2.0M1
 */
public class AreaPlotGenerator extends AbstractXYPlotGenerator
{    
    /**
     * {@inheritDoc}
     */
    protected XYItemRenderer getXYItemRenderer(Map<String, String> parameters)
    {
        return new XYAreaRenderer();
    }   
}
