/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.extension;

import java.util.List;

/**
 * License of an extension.
 * 
 * @version $Id: b15387cabe25370065def0de62ae31cb3926771a $
 */
public class ExtensionLicense
{
    /**
     * @see #getName()
     */
    private String name;

    /**
     * @see #getContent()
     */
    private List<String> content;

    /**
     * @param name the name of the license
     * @param content the content of the license
     */
    public ExtensionLicense(String name, List<String> content)
    {
        this.name = name;
        this.content = content;
    }

    /**
     * @return the name of the license
     */
    public String getName()
    {
        return this.name;
    }

    /**
     * @return the content of the license
     */
    public List<String> getContent()
    {
        return this.content;
    }
}
