/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.rendering.internal.macro.velocity.filter;

import org.apache.velocity.VelocityContext;
import org.xwiki.component.annotation.Component;
import org.xwiki.rendering.macro.velocity.filter.VelocityMacroFilter;

/**
 * Do nothing.
 * 
 * @version $Id: df2804112efa334698a8f2cebbe80655960dbb19 $
 * @since 2.0M1
 */
@Component("none")
public class NoneVelocityMacroFilter implements VelocityMacroFilter
{
    /**
     * {@inheritDoc}
     * 
     * @see org.xwiki.rendering.macro.velocity.filter.VelocityMacroFilter#after(java.lang.String,
     *      org.apache.velocity.VelocityContext)
     */
    public String after(String content, VelocityContext velocityContect)
    {
        return content;
    }

    /**
     * {@inheritDoc}
     * 
     * @see org.xwiki.rendering.macro.velocity.filter.VelocityMacroFilter#before(java.lang.String,
     *      org.apache.velocity.VelocityContext)
     */
    public String before(String content, VelocityContext velocityContect)
    {
        return content;
    }

}
